aboutsummaryrefslogtreecommitdiff
path: root/paludis
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2007-10-05 18:18:21 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2007-10-05 18:18:21 +0000
commitf354f4f17804a1b48b549646d5fdf0f9cf99ea9f (patch)
treea0f1e914be656688742c45dbb594529b0abb25e0 /paludis
parentf6be6c9c44cdc3f531c9f419e3bd3460c4964dc6 (diff)
downloadpaludis-f354f4f17804a1b48b549646d5fdf0f9cf99ea9f.tar.gz
paludis-f354f4f17804a1b48b549646d5fdf0f9cf99ea9f.tar.xz
Merge libpaludisdeplist, -digests, -environments, -merger, -repositories, -tasks into libpaludis.
Diffstat (limited to 'paludis')
-rw-r--r--paludis/Makefile.am.m418
-rw-r--r--paludis/args/deps_option_arg.hh2
-rw-r--r--paludis/condition_tracker.cc (renamed from paludis/dep_list/condition_tracker.cc)2
-rw-r--r--paludis/condition_tracker.hh (renamed from paludis/dep_list/condition_tracker.hh)4
-rw-r--r--paludis/dep_list-fwd.hh (renamed from paludis/dep_list/dep_list-fwd.hh)0
-rw-r--r--paludis/dep_list.cc (renamed from paludis/dep_list/dep_list.cc)16
-rw-r--r--paludis/dep_list.hh (renamed from paludis/dep_list/dep_list.hh)8
-rw-r--r--paludis/dep_list.sr (renamed from paludis/dep_list/dep_list.sr)0
-rw-r--r--paludis/dep_list/Makefile.am158
-rw-r--r--paludis/dep_list_TEST.cc (renamed from paludis/dep_list/dep_list_TEST.cc)2
-rw-r--r--paludis/dep_list_TEST.hh (renamed from paludis/dep_list/dep_list_TEST.hh)8
-rw-r--r--paludis/dep_list_TEST_blockers.cc (renamed from paludis/dep_list/dep_list_TEST_blockers.cc)0
-rw-r--r--paludis/dep_list_exceptions.cc (renamed from paludis/dep_list/exceptions.cc)2
-rw-r--r--paludis/dep_list_exceptions.hh (renamed from paludis/dep_list/exceptions.hh)0
-rw-r--r--paludis/dep_list_options.cc (renamed from paludis/dep_list/options.cc)4
-rw-r--r--paludis/dep_list_options.hh (renamed from paludis/dep_list/options.hh)2
-rw-r--r--paludis/dep_list_options.se (renamed from paludis/dep_list/options.se)0
-rw-r--r--paludis/digests/Makefile.am53
-rw-r--r--paludis/environment_maker.cc (renamed from paludis/environments/environment_maker.cc)0
-rw-r--r--paludis/environment_maker.hh (renamed from paludis/environments/environment_maker.hh)4
-rw-r--r--paludis/environments/Makefile.am19
-rw-r--r--paludis/environments/adapted/Makefile.am1
-rw-r--r--paludis/environments/adapted/registration.cc2
-rw-r--r--paludis/environments/no_config/Makefile.am2
-rw-r--r--paludis/environments/no_config/no_config_environment.cc2
-rw-r--r--paludis/environments/no_config/registration.cc2
-rw-r--r--paludis/environments/paludis/Makefile.am4
-rw-r--r--paludis/environments/paludis/paludis_config.hh2
-rw-r--r--paludis/environments/paludis/paludis_environment.cc2
-rw-r--r--paludis/environments/paludis/registration.cc2
-rw-r--r--paludis/environments/portage/Makefile.am3
-rw-r--r--paludis/environments/portage/portage_environment.cc2
-rw-r--r--paludis/environments/portage/registration.cc2
-rw-r--r--paludis/environments/test/registration.cc2
-rw-r--r--paludis/files.m426
-rw-r--r--paludis/find_unused_packages_task.cc (renamed from paludis/tasks/find_unused_packages_task.cc)0
-rw-r--r--paludis/find_unused_packages_task.hh (renamed from paludis/tasks/find_unused_packages_task.hh)4
-rw-r--r--paludis/handled_information-fwd.hh (renamed from paludis/dep_list/handled_information-fwd.hh)4
-rw-r--r--paludis/handled_information.cc (renamed from paludis/dep_list/handled_information.cc)0
-rw-r--r--paludis/handled_information.hh (renamed from paludis/dep_list/handled_information.hh)6
-rw-r--r--paludis/install_task.cc (renamed from paludis/tasks/install_task.cc)6
-rw-r--r--paludis/install_task.hh (renamed from paludis/tasks/install_task.hh)12
-rw-r--r--paludis/install_task.se (renamed from paludis/tasks/install_task.se)0
-rw-r--r--paludis/md5.cc (renamed from paludis/digests/md5.cc)2
-rw-r--r--paludis/md5.hh (renamed from paludis/digests/md5.hh)4
-rw-r--r--paludis/md5_TEST.cc (renamed from paludis/digests/md5_TEST.cc)2
-rw-r--r--paludis/merger.cc (renamed from paludis/merger/merger.cc)2
-rw-r--r--paludis/merger.hh (renamed from paludis/merger/merger.hh)4
-rw-r--r--paludis/merger.sr (renamed from paludis/merger/merger.sr)0
-rw-r--r--paludis/merger/Makefile.am92
-rw-r--r--paludis/merger_TEST.cc (renamed from paludis/merger/merger_TEST.cc)0
-rwxr-xr-xpaludis/merger_TEST_cleanup.sh (renamed from paludis/merger/merger_TEST_cleanup.sh)0
-rwxr-xr-xpaludis/merger_TEST_setup.sh (renamed from paludis/merger/merger_TEST_setup.sh)0
-rw-r--r--paludis/merger_entry_type.cc (renamed from paludis/merger/entry_type.cc)4
-rw-r--r--paludis/merger_entry_type.hh (renamed from paludis/merger/entry_type.hh)2
-rw-r--r--paludis/merger_entry_type.se (renamed from paludis/merger/entry_type.se)0
-rw-r--r--paludis/override_functions.cc (renamed from paludis/dep_list/override_functions.cc)2
-rw-r--r--paludis/override_functions.hh (renamed from paludis/dep_list/override_functions.hh)4
-rw-r--r--paludis/paludis.hh.m41
-rw-r--r--paludis/query_visitor.cc (renamed from paludis/dep_list/query_visitor.cc)6
-rw-r--r--paludis/query_visitor.hh (renamed from paludis/dep_list/query_visitor.hh)6
-rw-r--r--paludis/range_rewriter.cc (renamed from paludis/dep_list/range_rewriter.cc)0
-rw-r--r--paludis/range_rewriter.hh (renamed from paludis/dep_list/range_rewriter.hh)4
-rw-r--r--paludis/range_rewriter_TEST.cc (renamed from paludis/dep_list/range_rewriter_TEST.cc)2
-rw-r--r--paludis/report_task.cc (renamed from paludis/tasks/report_task.cc)2
-rw-r--r--paludis/report_task.hh (renamed from paludis/tasks/report_task.hh)4
-rw-r--r--paludis/repositories/Makefile.am18
-rw-r--r--paludis/repositories/cran/Makefile.am1
-rw-r--r--paludis/repositories/cran/cran_repository.cc2
-rw-r--r--paludis/repositories/cran/registration.cc2
-rw-r--r--paludis/repositories/e/Makefile.am3
-rw-r--r--paludis/repositories/e/check_fetched_files_visitor.cc6
-rw-r--r--paludis/repositories/e/e_repository.cc4
-rw-r--r--paludis/repositories/e/registration.cc2
-rw-r--r--paludis/repositories/e/vdb_merger.cc2
-rw-r--r--paludis/repositories/e/vdb_merger.hh2
-rw-r--r--paludis/repositories/e/vdb_unmerger.cc2
-rw-r--r--paludis/repositories/e/vdb_unmerger.hh2
-rw-r--r--paludis/repositories/gems/Makefile.am1
-rw-r--r--paludis/repositories/gems/registration.cc2
-rw-r--r--paludis/repositories/virtuals/Makefile.am1
-rw-r--r--paludis/repositories/virtuals/registration.cc2
-rw-r--r--paludis/repository_maker.cc (renamed from paludis/repositories/repository_maker.cc)0
-rw-r--r--paludis/repository_maker.hh (renamed from paludis/repositories/repository_maker.hh)0
-rw-r--r--paludis/rmd160.cc (renamed from paludis/digests/rmd160.cc)0
-rw-r--r--paludis/rmd160.hh (renamed from paludis/digests/rmd160.hh)4
-rw-r--r--paludis/rmd160_TEST.cc (renamed from paludis/digests/rmd160_TEST.cc)2
-rw-r--r--paludis/sha256.cc (renamed from paludis/digests/sha256.cc)0
-rw-r--r--paludis/sha256.hh (renamed from paludis/digests/sha256.hh)4
-rw-r--r--paludis/sha256_TEST.cc (renamed from paludis/digests/sha256_TEST.cc)2
-rw-r--r--paludis/show_suggest_visitor.cc (renamed from paludis/dep_list/show_suggest_visitor.cc)6
-rw-r--r--paludis/show_suggest_visitor.hh (renamed from paludis/dep_list/show_suggest_visitor.hh)6
-rw-r--r--paludis/stage_builder_task.cc (renamed from paludis/tasks/stage_builder_task.cc)2
-rw-r--r--paludis/stage_builder_task.hh (renamed from paludis/tasks/stage_builder_task.hh)6
-rw-r--r--paludis/stage_options.sr (renamed from paludis/tasks/stage_options.sr)0
-rw-r--r--paludis/sync_task.cc (renamed from paludis/tasks/sync_task.cc)0
-rw-r--r--paludis/sync_task.hh (renamed from paludis/tasks/sync_task.hh)6
-rw-r--r--paludis/tasks/Makefile.am82
-rw-r--r--paludis/tasks_exceptions.cc (renamed from paludis/tasks/exceptions.cc)2
-rw-r--r--paludis/tasks_exceptions.hh (renamed from paludis/tasks/exceptions.hh)0
-rw-r--r--paludis/uninstall_list.cc (renamed from paludis/dep_list/uninstall_list.cc)8
-rw-r--r--paludis/uninstall_list.hh (renamed from paludis/dep_list/uninstall_list.hh)4
-rw-r--r--paludis/uninstall_list.se (renamed from paludis/dep_list/uninstall_list.se)0
-rw-r--r--paludis/uninstall_list.sr (renamed from paludis/dep_list/uninstall_list.sr)0
-rw-r--r--paludis/uninstall_list_TEST.cc (renamed from paludis/dep_list/uninstall_list_TEST.cc)2
-rw-r--r--paludis/uninstall_task.cc (renamed from paludis/tasks/uninstall_task.cc)4
-rw-r--r--paludis/uninstall_task.hh (renamed from paludis/tasks/uninstall_task.hh)4
-rw-r--r--paludis/unmerger.cc (renamed from paludis/merger/unmerger.cc)2
-rw-r--r--paludis/unmerger.hh (renamed from paludis/merger/unmerger.hh)4
-rw-r--r--paludis/unmerger.sr (renamed from paludis/merger/unmerger.sr)0
110 files changed, 168 insertions, 565 deletions
diff --git a/paludis/Makefile.am.m4 b/paludis/Makefile.am.m4
index 810a005cc..5da8bb9a4 100644
--- a/paludis/Makefile.am.m4
+++ b/paludis/Makefile.am.m4
@@ -82,7 +82,7 @@ DEFS= \
EXTRA_DIST = about.hh.in Makefile.am.m4 paludis.hh.m4 files.m4 \
testscriptlist srlist srcleanlist selist secleanlist \
repository_blacklist.txt hooker.bash
-SUBDIRS = digests distributions fetchers syncers util selinux . dep_list merger repositories environments args tasks
+SUBDIRS = distributions fetchers syncers util selinux . repositories environments args
BUILT_SOURCES = srcleanlist secleanlist
libpaludis_la_SOURCES = filelist
@@ -106,6 +106,7 @@ libpaludissohooks_TEST_la_LDFLAGS = -rpath /nowhere -version-info @VERSION_LIB_C
libpaludissohooks_TEST_la_LIBADD = libpaludis.la
libpaludis_la_LIBADD = \
+ $(top_builddir)/paludis/selinux/libpaludisselinux.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
@DYNAMIC_LD_LIBS@ \
$(PTHREAD_LIBS)
@@ -113,6 +114,21 @@ libpaludis_la_LIBADD = \
libpaludismanpagethings_la_LIBADD = \
$(top_builddir)/paludis/util/libpaludisutil.la
+dep_list_TEST_SOURCES += dep_list_TEST.hh
+define(`testlist', testlist `dep_list_TEST_blockers')dnl
+dep_list_TEST_blockers_SOURCES = dep_list_TEST_blockers.cc dep_list_TEST.hh
+dep_list_TEST_blockers_LDADD = \
+ ihateautomake.o \
+ $(top_builddir)/paludis/util/test_extras.o \
+ $(top_builddir)/test/libtest.a \
+ $(top_builddir)/paludis/environments/test/libpaludistestenvironment.la \
+ $(top_builddir)/paludis/repositories/fake/libpaludisfakerepository.la \
+ $(top_builddir)/paludis/repositories/virtuals/libpaludisvirtualsrepository.la \
+ libpaludis.la \
+ $(top_builddir)/paludis/util/libpaludisutil.la \
+ $(DYNAMIC_LD_LIBS)
+dep_list_TEST_blockers_CXXFLAGS = -I$(top_srcdir) $(AM_CXXFLAGS)
+
TESTS = testlist
check_PROGRAMS = $(TESTS)
diff --git a/paludis/args/deps_option_arg.hh b/paludis/args/deps_option_arg.hh
index 60775b045..938d02cdb 100644
--- a/paludis/args/deps_option_arg.hh
+++ b/paludis/args/deps_option_arg.hh
@@ -21,7 +21,7 @@
#define PALUDIS_GUARD_SRC_COMMON_ARGS_DEPS_OPTION_ARG_HH 1
#include <paludis/args/args_option.hh>
-#include <paludis/dep_list/dep_list.hh>
+#include <paludis/dep_list.hh>
namespace paludis
{
diff --git a/paludis/dep_list/condition_tracker.cc b/paludis/condition_tracker.cc
index d19d05e28..3c843711e 100644
--- a/paludis/dep_list/condition_tracker.cc
+++ b/paludis/condition_tracker.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/condition_tracker.hh>
+#include <paludis/condition_tracker.hh>
#include <paludis/util/stringify.hh>
#include <paludis/util/visitor-impl.hh>
#include <paludis/dep_spec.hh>
diff --git a/paludis/dep_list/condition_tracker.hh b/paludis/condition_tracker.hh
index fc07f4f8f..3b9b99d17 100644
--- a/paludis/dep_list/condition_tracker.hh
+++ b/paludis/condition_tracker.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_CONDITION_TRACKER_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_CONDITION_TRACKER_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_CONDITION_TRACKER_HH
+#define PALUDIS_GUARD_PALUDIS_CONDITION_TRACKER_HH 1
#include <paludis/util/tr1_memory.hh>
#include <paludis/util/tr1_functional.hh>
diff --git a/paludis/dep_list/dep_list-fwd.hh b/paludis/dep_list-fwd.hh
index 9f0e0c466..9f0e0c466 100644
--- a/paludis/dep_list/dep_list-fwd.hh
+++ b/paludis/dep_list-fwd.hh
diff --git a/paludis/dep_list/dep_list.cc b/paludis/dep_list.cc
index cb764dbe5..e22e9c8b8 100644
--- a/paludis/dep_list/dep_list.cc
+++ b/paludis/dep_list.cc
@@ -17,13 +17,13 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/dep_list.hh>
-#include <paludis/dep_list/exceptions.hh>
-#include <paludis/dep_list/query_visitor.hh>
-#include <paludis/dep_list/range_rewriter.hh>
-#include <paludis/dep_list/show_suggest_visitor.hh>
-#include <paludis/dep_list/condition_tracker.hh>
-#include <paludis/dep_list/handled_information.hh>
+#include <paludis/dep_list.hh>
+#include <paludis/dep_list_exceptions.hh>
+#include <paludis/query_visitor.hh>
+#include <paludis/range_rewriter.hh>
+#include <paludis/show_suggest_visitor.hh>
+#include <paludis/condition_tracker.hh>
+#include <paludis/handled_information.hh>
#include <paludis/dep_spec.hh>
#include <paludis/dep_spec_flattener.hh>
@@ -61,7 +61,7 @@ using namespace paludis;
template class Sequence<tr1::function<bool (const PackageID &, const Mask &)> >;
-#include <paludis/dep_list/dep_list-sr.cc>
+#include <paludis/dep_list-sr.cc>
DepListOptions::DepListOptions() :
reinstall(dl_reinstall_never),
diff --git a/paludis/dep_list/dep_list.hh b/paludis/dep_list.hh
index 5ec78d2dd..333e7b9ac 100644
--- a/paludis/dep_list/dep_list.hh
+++ b/paludis/dep_list.hh
@@ -23,9 +23,9 @@
#include <paludis/dep_spec-fwd.hh>
#include <paludis/mask-fwd.hh>
#include <paludis/dep_tag.hh>
-#include <paludis/dep_list/options.hh>
-#include <paludis/dep_list/dep_list-fwd.hh>
-#include <paludis/dep_list/handled_information-fwd.hh>
+#include <paludis/dep_list_options.hh>
+#include <paludis/dep_list-fwd.hh>
+#include <paludis/handled_information-fwd.hh>
#include <paludis/name.hh>
#include <paludis/environment.hh>
#include <paludis/util/instantiation_policy.hh>
@@ -42,7 +42,7 @@ namespace paludis
{
typedef Sequence<tr1::function<bool (const PackageID &, const Mask &)> > DepListOverrideMasksFunctions;
-#include <paludis/dep_list/dep_list-sr.hh>
+#include <paludis/dep_list-sr.hh>
/**
* Holds a list of dependencies in merge order.
diff --git a/paludis/dep_list/dep_list.sr b/paludis/dep_list.sr
index 391b18fb7..391b18fb7 100644
--- a/paludis/dep_list/dep_list.sr
+++ b/paludis/dep_list.sr
diff --git a/paludis/dep_list/Makefile.am b/paludis/dep_list/Makefile.am
deleted file mode 100644
index 730d0f2e3..000000000
--- a/paludis/dep_list/Makefile.am
+++ /dev/null
@@ -1,158 +0,0 @@
-CLEANFILES = *~ gmon.out *.gcov *.gcno *.gcda
-DISTCLEANFILES = \
- dep_list-sr.hh dep_list-sr.cc \
- uninstall_list-sr.hh uninstall_list-sr.cc \
- options-se.hh options-se.cc \
- uninstall_list-se.hh uninstall_list-se.cc
-
-BUILT_SOURCES = $(DISTCLEANFILES)
-MAINTAINERCLEANFILES = Makefile.in
-
-AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
-DEFS= \
- -DSYSCONFDIR=\"$(sysconfdir)\" \
- -DLIBEXECDIR=\"$(libexecdir)\" \
- -DDATADIR=\"$(datadir)\" \
- -DLIBDIR=\"$(libdir)\"
-
-paludis_dep_list_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/dep_list
-paludis_dep_list_include_HEADERS = \
- dep_list.hh \
- query_visitor.hh \
- show_suggest_visitor.hh \
- uninstall_list.hh \
- condition_tracker.hh \
- exceptions.hh \
- options.hh \
- dep_list-sr.hh \
- dep_list-fwd.hh \
- uninstall_list-sr.hh \
- range_rewriter.hh \
- options-se.hh \
- uninstall_list-se.hh \
- override_functions.hh \
- handled_information.hh
-
-libpaludisdeplist_la_SOURCES = \
- options.cc options.hh \
- exceptions.cc exceptions.hh \
- dep_list.cc dep_list.hh dep_list-fwd.hh \
- uninstall_list.cc uninstall_list.hh \
- range_rewriter.cc range_rewriter.hh \
- query_visitor.cc query_visitor.hh \
- show_suggest_visitor.cc show_suggest_visitor.hh \
- condition_tracker.cc condition_tracker.hh \
- override_functions.cc override_functions.hh \
- handled_information.cc handled_information.hh
-
-libpaludisdeplist_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-libpaludisdeplist_la_LIBADD = \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-lib_LTLIBRARIES = libpaludisdeplist.la
-
-EXTRA_DIST = \
- dep_list_TEST.cc \
- dep_list_TEST.hh \
- dep_list_TEST_blockers.cc \
- uninstall_list_TEST.cc \
- range_rewriter_TEST.cc \
- dep_list.sr dep_list-sr.hh dep_list-sr.cc \
- uninstall_list.sr uninstall_list-sr.hh uninstall_list-sr.cc \
- options.se options-se.hh options-se.cc \
- uninstall_list.se uninstall_list-se.hh uninstall_list-se.cc
-
-TESTS = \
- dep_list_TEST \
- dep_list_TEST_blockers \
- uninstall_list_TEST \
- range_rewriter_TEST
-
-TESTS_ENVIRONMENT = env \
- PALUDIS_EBUILD_DIR="`$(top_srcdir)/paludis/repositories/e/ebuild/utils/canonicalise $(top_srcdir)/paludis/repositories/e/ebuild/`" \
- PALUDIS_EAPIS_DIR="$(top_srcdir)/paludis/repositories/e/eapis/" \
- PALUDIS_DISTRIBUTIONS_DIR="$(top_srcdir)/paludis/distributions/" \
- PALUDIS_DISTRIBUTION="gentoo" \
- PALUDIS_SKIP_CONFIG="yes" \
- TEST_SCRIPT_DIR="$(srcdir)/" \
- PALUDIS_REPOSITORY_SO_DIR="$(top_builddir)/paludis/repositories" \
- LD_LIBRARY_PATH="`echo $$LD_LIBRARY_PATH: | sed -e 's,^:,,'`` \
- $(top_srcdir)/paludis/repositories/e/ebuild/utils/canonicalise $(top_builddir)/paludis/repositories/e/`:` \
- $(top_srcdir)/paludis/repositories/e/ebuild/utils/canonicalise $(top_builddir)/paludis/repositories/e/.libs/`" \
- bash $(top_srcdir)/test/run_test.sh
-
-
-check_PROGRAMS = $(TESTS)
-
-dep_list_TEST_SOURCES = dep_list_TEST.cc
-dep_list_TEST_LDADD = \
- $(top_builddir)/paludis/environments/test/libpaludistestenvironment.la \
- $(top_builddir)/paludis/repositories/fake/libpaludisfakerepository.la \
- $(top_builddir)/paludis/repositories/e/libpaludiserepository.la \
- $(top_builddir)/paludis/repositories/virtuals/libpaludisvirtualsrepository.la \
- $(top_builddir)/paludis/util/test_extras.o \
- $(top_builddir)/test/libtest.a \
- libpaludisdeplist.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-dep_list_TEST_blockers_SOURCES = dep_list_TEST_blockers.cc
-dep_list_TEST_blockers_LDADD = \
- $(top_builddir)/paludis/environments/test/libpaludistestenvironment.la \
- $(top_builddir)/paludis/repositories/fake/libpaludisfakerepository.la \
- $(top_builddir)/paludis/repositories/e/libpaludiserepository.la \
- $(top_builddir)/paludis/repositories/virtuals/libpaludisvirtualsrepository.la \
- $(top_builddir)/paludis/util/test_extras.o \
- $(top_builddir)/test/libtest.a \
- libpaludisdeplist.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-uninstall_list_TEST_SOURCES = uninstall_list_TEST.cc
-uninstall_list_TEST_LDADD = \
- $(top_builddir)/paludis/environments/test/libpaludistestenvironment.la \
- $(top_builddir)/paludis/repositories/fake/libpaludisfakerepository.la \
- $(top_builddir)/paludis/repositories/virtuals/libpaludisvirtualsrepository.la \
- $(top_builddir)/paludis/util/test_extras.o \
- $(top_builddir)/test/libtest.a \
- libpaludisdeplist.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-range_rewriter_TEST_SOURCES = range_rewriter_TEST.cc
-range_rewriter_TEST_LDADD = \
- $(top_builddir)/paludis/util/test_extras.o \
- $(top_builddir)/test/libtest.a \
- libpaludisdeplist.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-built-sources : $(BUILT_SOURCES)
- for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-
-dep_list-sr.hh : dep_list.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --header $(srcdir)/dep_list.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-dep_list-sr.cc : dep_list.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --source $(srcdir)/dep_list.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-uninstall_list-sr.hh : uninstall_list.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --header $(srcdir)/uninstall_list.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-uninstall_list-sr.cc : uninstall_list.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --source $(srcdir)/uninstall_list.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-uninstall_list-se.hh : uninstall_list.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --header $(srcdir)/uninstall_list.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
-uninstall_list-se.cc : uninstall_list.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --source $(srcdir)/uninstall_list.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
-options-se.hh : options.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --header $(srcdir)/options.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
-options-se.cc : options.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --source $(srcdir)/options.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
diff --git a/paludis/dep_list/dep_list_TEST.cc b/paludis/dep_list_TEST.cc
index 109c038f1..b02c4dbbf 100644
--- a/paludis/dep_list/dep_list_TEST.cc
+++ b/paludis/dep_list_TEST.cc
@@ -24,7 +24,7 @@
#include <paludis/mask.hh>
#include <paludis/stringify_formatter-impl.hh>
#include <paludis/repositories/fake/fake_package_id.hh>
-#include <paludis/dep_list/override_functions.hh>
+#include <paludis/override_functions.hh>
#include <paludis/repositories/e/dep_spec_pretty_printer.hh>
#include <libwrapiter/libwrapiter_forward_iterator.hh>
#include <libwrapiter/libwrapiter_output_iterator.hh>
diff --git a/paludis/dep_list/dep_list_TEST.hh b/paludis/dep_list_TEST.hh
index 465a5fbe5..53428c41d 100644
--- a/paludis/dep_list/dep_list_TEST.hh
+++ b/paludis/dep_list_TEST.hh
@@ -17,11 +17,11 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_DEP_LIST_TEST_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_DEP_LIST_TEST_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_TEST_HH
+#define PALUDIS_GUARD_PALUDIS_DEP_LIST_TEST_HH 1
-#include <paludis/dep_list/dep_list.hh>
-#include <paludis/dep_list/exceptions.hh>
+#include <paludis/dep_list.hh>
+#include <paludis/dep_list_exceptions.hh>
#include <paludis/repositories/fake/fake_repository.hh>
#include <paludis/repositories/fake/fake_installed_repository.hh>
#include <paludis/repositories/virtuals/virtuals_repository.hh>
diff --git a/paludis/dep_list/dep_list_TEST_blockers.cc b/paludis/dep_list_TEST_blockers.cc
index ceb94af71..ceb94af71 100644
--- a/paludis/dep_list/dep_list_TEST_blockers.cc
+++ b/paludis/dep_list_TEST_blockers.cc
diff --git a/paludis/dep_list/exceptions.cc b/paludis/dep_list_exceptions.cc
index c26cfc400..d7d61280a 100644
--- a/paludis/dep_list/exceptions.cc
+++ b/paludis/dep_list_exceptions.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include "exceptions.hh"
+#include "dep_list_exceptions.hh"
#include <paludis/util/set.hh>
#include <libwrapiter/libwrapiter_forward_iterator.hh>
#include <libwrapiter/libwrapiter_output_iterator.hh>
diff --git a/paludis/dep_list/exceptions.hh b/paludis/dep_list_exceptions.hh
index 69c55c4cf..69c55c4cf 100644
--- a/paludis/dep_list/exceptions.hh
+++ b/paludis/dep_list_exceptions.hh
diff --git a/paludis/dep_list/options.cc b/paludis/dep_list_options.cc
index 355ca2eae..c1413e395 100644
--- a/paludis/dep_list/options.cc
+++ b/paludis/dep_list_options.cc
@@ -17,12 +17,12 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include "options.hh"
+#include "dep_list_options.hh"
#include <ostream>
#include <paludis/util/exception.hh>
#include <paludis/util/stringify.hh>
using namespace paludis;
-#include <paludis/dep_list/options-se.cc>
+#include <paludis/dep_list_options-se.cc>
diff --git a/paludis/dep_list/options.hh b/paludis/dep_list_options.hh
index 127bb93df..8fbc069ab 100644
--- a/paludis/dep_list/options.hh
+++ b/paludis/dep_list_options.hh
@@ -25,7 +25,7 @@
namespace paludis
{
-#include <paludis/dep_list/options-se.hh>
+#include <paludis/dep_list_options-se.hh>
}
#endif
diff --git a/paludis/dep_list/options.se b/paludis/dep_list_options.se
index 95cf5c352..95cf5c352 100644
--- a/paludis/dep_list/options.se
+++ b/paludis/dep_list_options.se
diff --git a/paludis/digests/Makefile.am b/paludis/digests/Makefile.am
deleted file mode 100644
index 6ef48844b..000000000
--- a/paludis/digests/Makefile.am
+++ /dev/null
@@ -1,53 +0,0 @@
-MAINTAINERCLEANFILES = Makefile.in
-CLEANFILES = *~
-SUBDIRS = .
-
-libexecprogdir = $(libexecdir)/paludis/digests/
-
-paludis_digests_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/digests/
-
-paludis_digests_include_HEADERS = \
- sha256.hh \
- rmd160.hh \
- md5.hh
-
-libpaludisdigests_la_SOURCES = \
- $(paludis_digests_include_HEADERS) \
- sha256.cc \
- rmd160.cc \
- md5.cc
-
-libpaludisdigests_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-if MONOLITHIC
-
-noinst_LTLIBRARIES = libpaludisdigests.la
-
-else
-
-lib_LTLIBRARIES = libpaludisdigests.la
-
-endif
-
-TESTS = sha256_TEST rmd160_TEST md5_TEST
-EXTRA_DIST = sha256_TEST.cc rmd160_TEST.cc md5_TEST.cc
-
-check_PROGRAMS = $(TESTS)
-
-AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
-
-sha256_TEST_SOURCES = sha256_TEST.cc
-sha256_TEST_CXXFLAGS = $(AM_CXXFLAGS) -I$(top_srcdir)
-sha256_TEST_LDADD = $(top_builddir)/test/libtest.a libpaludisdigests.la
-
-rmd160_TEST_SOURCES = rmd160_TEST.cc
-rmd160_TEST_CXXFLAGS = $(AM_CXXFLAGS) -I$(top_srcdir)
-rmd160_TEST_LDADD = $(top_builddir)/test/libtest.a libpaludisdigests.la
-
-md5_TEST_SOURCES = md5_TEST.cc
-md5_TEST_CXXFLAGS = $(AM_CXXFLAGS) -I$(top_srcdir)
-md5_TEST_LDADD = $(top_builddir)/test/libtest.a libpaludisdigests.la
-
-built-sources : $(BUILT_SOURCES)
- for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-
diff --git a/paludis/environments/environment_maker.cc b/paludis/environment_maker.cc
index 3e66bf51a..3e66bf51a 100644
--- a/paludis/environments/environment_maker.cc
+++ b/paludis/environment_maker.cc
diff --git a/paludis/environments/environment_maker.hh b/paludis/environment_maker.hh
index 5eaa2fbf9..a4cc576c9 100644
--- a/paludis/environments/environment_maker.hh
+++ b/paludis/environment_maker.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_ENVIRONMENT_ENVIRONMENT_HH
-#define PALUDIS_GUARD_PALUDIS_ENVIRONMENT_ENVIRONMENT_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_ENVIRONMENT_MAKER_HH
+#define PALUDIS_GUARD_PALUDIS_ENVIRONMENT_MAKER_HH 1
#include <paludis/util/instantiation_policy.hh>
#include <paludis/util/private_implementation_pattern.hh>
diff --git a/paludis/environments/Makefile.am b/paludis/environments/Makefile.am
index c2f965697..9ccf65704 100644
--- a/paludis/environments/Makefile.am
+++ b/paludis/environments/Makefile.am
@@ -7,25 +7,6 @@ MAINTAINERCLEANFILES = Makefile.in
built-sources : $(BUILT_SOURCES)
for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-lib_LTLIBRARIES = libpaludisenvironments.la
-
-paludis_environments_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/environments/
-
-paludis_environments_include_HEADERS = \
- environment_maker.hh
-
-libpaludisenvironments_la_SOURCES = \
- environment_maker.cc \
- $(paludis_environments_include_HEADERS)
-
-libpaludisenvironments_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-libpaludisenvironments_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
- $(top_builddir)/paludis/util/libpaludisutil.la \
- $(top_builddir)/paludis/libpaludis.la \
- @DYNAMIC_LD_LIBS@
-
AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
DEFS= \
-DSYSCONFDIR=\"$(sysconfdir)\" \
diff --git a/paludis/environments/adapted/Makefile.am b/paludis/environments/adapted/Makefile.am
index 1eddbc4ae..ac0d81d87 100644
--- a/paludis/environments/adapted/Makefile.am
+++ b/paludis/environments/adapted/Makefile.am
@@ -15,7 +15,6 @@ libpaludisadaptedenvironment_la_SOURCES = \
libpaludisadaptedenvironment_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
libpaludisadaptedenvironment_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(top_builddir)/paludis/libpaludis.la
diff --git a/paludis/environments/adapted/registration.cc b/paludis/environments/adapted/registration.cc
index 6f3cb20ed..2dd1ef03c 100644
--- a/paludis/environments/adapted/registration.cc
+++ b/paludis/environments/adapted/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
using namespace paludis;
diff --git a/paludis/environments/no_config/Makefile.am b/paludis/environments/no_config/Makefile.am
index aa7babd5e..8f12e0611 100644
--- a/paludis/environments/no_config/Makefile.am
+++ b/paludis/environments/no_config/Makefile.am
@@ -17,7 +17,6 @@ libpaludisnoconfigenvironment_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@
if ! MONOLITHIC
libpaludisnoconfigenvironment_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(top_builddir)/paludis/libpaludis.la
@@ -67,7 +66,6 @@ no_config_environment_TEST_LDADD = \
libpaludisnoconfigenvironment.la \
$(top_builddir)/paludis/util/test_extras.o \
$(top_builddir)/test/libtest.a \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/environments/no_config/no_config_environment.cc b/paludis/environments/no_config/no_config_environment.cc
index 3c1f6e688..a5838bdec 100644
--- a/paludis/environments/no_config/no_config_environment.cc
+++ b/paludis/environments/no_config/no_config_environment.cc
@@ -25,7 +25,7 @@
#include <paludis/util/set.hh>
#include <paludis/util/sequence.hh>
#include <paludis/util/make_shared_ptr.hh>
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/util/private_implementation_pattern-impl.hh>
#include <paludis/util/config_file.hh>
#include <paludis/distribution.hh>
diff --git a/paludis/environments/no_config/registration.cc b/paludis/environments/no_config/registration.cc
index 46d0efb2c..c85028cea 100644
--- a/paludis/environments/no_config/registration.cc
+++ b/paludis/environments/no_config/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
#include <paludis/environments/no_config/no_config_environment.hh>
using namespace paludis;
diff --git a/paludis/environments/paludis/Makefile.am b/paludis/environments/paludis/Makefile.am
index 44e461059..9bd190957 100644
--- a/paludis/environments/paludis/Makefile.am
+++ b/paludis/environments/paludis/Makefile.am
@@ -27,8 +27,6 @@ libpaludispaludisenvironment_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@V
if ! MONOLITHIC
libpaludispaludisenvironment_la_LIBADD = \
- $(top_builddir)/paludis/environments/libpaludisenvironments.la \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(top_builddir)/paludis/libpaludis.la
@@ -92,7 +90,6 @@ paludis_environment_TEST_LDADD = \
libpaludispaludisenvironment.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(DYNAMIC_LD_LIBS)
else
@@ -101,7 +98,6 @@ paludis_environment_TEST_LDADD = \
libpaludispaludisenvironment.la \
$(top_builddir)/paludis/util/test_extras.o \
$(top_builddir)/test/libtest.a \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/environments/paludis/paludis_config.hh b/paludis/environments/paludis/paludis_config.hh
index 004cf85cf..a2d177840 100644
--- a/paludis/environments/paludis/paludis_config.hh
+++ b/paludis/environments/paludis/paludis_config.hh
@@ -27,7 +27,7 @@
#include <paludis/util/sr.hh>
#include <paludis/util/sequence-fwd.hh>
#include <paludis/util/map-fwd.hh>
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
#include <string>
diff --git a/paludis/environments/paludis/paludis_environment.cc b/paludis/environments/paludis/paludis_environment.cc
index 9ba72af8a..c0d068f84 100644
--- a/paludis/environments/paludis/paludis_environment.cc
+++ b/paludis/environments/paludis/paludis_environment.cc
@@ -25,7 +25,7 @@
#include <paludis/environments/paludis/licenses_conf.hh>
#include <paludis/environments/paludis/mirrors_conf.hh>
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/util/config_file.hh>
#include <paludis/hooker.hh>
diff --git a/paludis/environments/paludis/registration.cc b/paludis/environments/paludis/registration.cc
index 7729db602..dc8d2abdd 100644
--- a/paludis/environments/paludis/registration.cc
+++ b/paludis/environments/paludis/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
#include <paludis/environments/paludis/paludis_environment.hh>
using namespace paludis;
diff --git a/paludis/environments/portage/Makefile.am b/paludis/environments/portage/Makefile.am
index a18260a6c..7c4c6ca5a 100644
--- a/paludis/environments/portage/Makefile.am
+++ b/paludis/environments/portage/Makefile.am
@@ -16,8 +16,6 @@ libpaludisportageenvironment_la_SOURCES = \
libpaludisportageenvironment_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
libpaludisportageenvironment_la_LIBADD = \
- $(top_builddir)/paludis/environments/libpaludisenvironments.la \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(top_builddir)/paludis/libpaludis.la
@@ -57,7 +55,6 @@ portage_environment_TEST_LDADD = \
libpaludisportageenvironment.la \
$(top_builddir)/paludis/util/test_extras.o \
$(top_builddir)/test/libtest.a \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/environments/portage/portage_environment.cc b/paludis/environments/portage/portage_environment.cc
index 22abf19fe..f5771d8bc 100644
--- a/paludis/environments/portage/portage_environment.cc
+++ b/paludis/environments/portage/portage_environment.cc
@@ -31,7 +31,7 @@
#include <paludis/util/map.hh>
#include <paludis/util/options.hh>
#include <paludis/util/make_shared_ptr.hh>
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/util/config_file.hh>
#include <paludis/hooker.hh>
#include <paludis/hook.hh>
diff --git a/paludis/environments/portage/registration.cc b/paludis/environments/portage/registration.cc
index 50452a074..a93991441 100644
--- a/paludis/environments/portage/registration.cc
+++ b/paludis/environments/portage/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
#include <paludis/environments/portage/portage_environment.hh>
using namespace paludis;
diff --git a/paludis/environments/test/registration.cc b/paludis/environments/test/registration.cc
index 04b0993cf..beb4e5f90 100644
--- a/paludis/environments/test/registration.cc
+++ b/paludis/environments/test/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/environments/environment_maker.hh>
+#include <paludis/environment_maker.hh>
#include <paludis/environments/test/test_environment.hh>
using namespace paludis;
diff --git a/paludis/files.m4 b/paludis/files.m4
index 9e8c7e15c..e8889743a 100644
--- a/paludis/files.m4
+++ b/paludis/files.m4
@@ -10,8 +10,12 @@ dnl on this file at present...
add(`about', `hh', `test')
add(`action', `hh', `cc', `fwd', `se', `sr')
+add(`condition_tracker', `hh', `cc')
add(`contents', `hh', `cc', `fwd')
add(`dep_label', `hh', `cc', `fwd')
+add(`dep_list', `hh', `cc', `fwd', `sr', `test', `fwd')
+add(`dep_list_exceptions', `hh', `cc')
+add(`dep_list_options', `hh', `cc', `se')
add(`dep_spec', `hh', `cc', `se', `test', `fwd')
add(`dep_spec_flattener', `hh', `cc')
add(`dep_tree', `hh', `cc', `fwd')
@@ -19,26 +23,48 @@ add(`dep_tag', `hh', `cc', `fwd', `sr')
add(`distribution', `hh', `cc', `fwd', `sr')
add(`environment', `hh', `fwd', `cc', `se')
add(`environment_implementation', `hh', `cc')
+add(`environment_maker', `hh', `cc')
+add(`find_unused_packages_task', `hh', `cc')
add(`formatter', `hh', `fwd', `cc')
+add(`handled_information', `hh', `fwd', `cc')
add(`hashed_containers', `hh', `cc', `test')
add(`hook', `hh', `cc', `fwd',`se', `sr')
add(`hooker', `hh', `cc', `test', `testscript')
add(`host_tuple_name', `hh', `cc', `sr', `test')
+add(`install_task', `hh', `cc', `se')
add(`mask', `hh', `cc', `fwd', `sr')
add(`match_package', `hh', `cc')
+add(`md5', `hh', `cc', `test')
+add(`merger', `hh', `cc', `sr', `test', `testscript')
+add(`merger_entry_type', `hh', `cc', `se')
add(`metadata_key', `hh', `cc', `se', `fwd')
add(`name', `hh', `cc', `fwd', `test', `sr', `se')
+add(`override_functions', `hh', `cc')
add(`package_database', `hh', `cc', `fwd', `test', `se')
add(`package_id', `hh', `cc', `fwd', `se')
add(`paludis', `hh')
add(`qa', `hh', `cc', `fwd', `se', `sr')
add(`query', `hh', `cc', `fwd')
+add(`query_visitor', `hh', `cc')
+add(`range_rewriter', `hh', `cc', `test')
+add(`report_task', `hh', `cc')
add(`repository', `hh', `fwd', `cc', `sr')
add(`repository_info', `hh', `fwd', `cc')
+add(`repository_maker', `hh', `cc')
add(`repository_name_cache', `hh', `cc', `test', `testscript')
+add(`rmd160', `hh', `cc', `test')
add(`set_file', `hh', `cc', `se', `sr', `test', `testscript')
+add(`sha256', `hh', `cc', `test')
+add(`show_suggest_visitor', `hh', `cc')
+add(`stage_builder_task', `hh', `cc')
+add(`stage_options', `sr')
add(`stringify_formatter', `hh', `cc', `fwd', `impl', `test')
add(`syncer', `hh', `cc', `sr')
+add(`sync_task', `hh', `cc')
+add(`tasks_exceptions', `hh', `cc')
+add(`uninstall_list', `hh', `cc', `se', `sr', `test')
+add(`uninstall_task', `hh', `cc')
+add(`unmerger', `hh', `cc', `sr')
add(`version_operator', `hh', `cc', `fwd', `se', `test')
add(`version_requirements', `hh', `cc', `fwd', `sr')
add(`version_spec', `hh', `cc', `sr', `fwd', `test')
diff --git a/paludis/tasks/find_unused_packages_task.cc b/paludis/find_unused_packages_task.cc
index df956f4f5..df956f4f5 100644
--- a/paludis/tasks/find_unused_packages_task.cc
+++ b/paludis/find_unused_packages_task.cc
diff --git a/paludis/tasks/find_unused_packages_task.hh b/paludis/find_unused_packages_task.hh
index 3dfefca21..a68097965 100644
--- a/paludis/tasks/find_unused_packages_task.hh
+++ b/paludis/find_unused_packages_task.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_FIND_UNUSED_PACKAGES_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_FIND_UNUSED_PACKAGES_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_FIND_UNUSED_PACKAGES_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_FIND_UNUSED_PACKAGES_TASK_HH 1
#include <paludis/util/instantiation_policy.hh>
#include <paludis/package_id-fwd.hh>
diff --git a/paludis/dep_list/handled_information-fwd.hh b/paludis/handled_information-fwd.hh
index 82d7a788a..eb394aa91 100644
--- a/paludis/dep_list/handled_information-fwd.hh
+++ b/paludis/handled_information-fwd.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_HANDLED_INFORMATION_FWD_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_HANDLED_INFORMATION_FWD_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_HANDLED_INFORMATION_FWD_HH
+#define PALUDIS_GUARD_PALUDIS_HANDLED_INFORMATION_FWD_HH 1
namespace paludis
{
diff --git a/paludis/dep_list/handled_information.cc b/paludis/handled_information.cc
index 545961bc7..545961bc7 100644
--- a/paludis/dep_list/handled_information.cc
+++ b/paludis/handled_information.cc
diff --git a/paludis/dep_list/handled_information.hh b/paludis/handled_information.hh
index 17f75afd5..49638b803 100644
--- a/paludis/dep_list/handled_information.hh
+++ b/paludis/handled_information.hh
@@ -17,10 +17,10 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_HANDLED_INFORMATION_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_HANDLED_INFORMATION_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_HANDLED_INFORMATION_HH
+#define PALUDIS_GUARD_PALUDIS_HANDLED_INFORMATION_HH 1
-#include <paludis/dep_list/handled_information-fwd.hh>
+#include <paludis/handled_information-fwd.hh>
#include <paludis/util/visitor.hh>
#include <paludis/util/attributes.hh>
#include <paludis/util/private_implementation_pattern.hh>
diff --git a/paludis/tasks/install_task.cc b/paludis/install_task.cc
index a8f452604..a27ef89ed 100644
--- a/paludis/tasks/install_task.cc
+++ b/paludis/install_task.cc
@@ -31,12 +31,12 @@
#include <paludis/match_package.hh>
#include <paludis/package_database.hh>
#include <paludis/package_id.hh>
-#include <paludis/tasks/exceptions.hh>
+#include <paludis/tasks_exceptions.hh>
#include <paludis/util/visitor-impl.hh>
#include <paludis/util/tokeniser.hh>
#include <paludis/util/set.hh>
#include <paludis/util/log.hh>
-#include <paludis/dep_list/handled_information.hh>
+#include <paludis/handled_information.hh>
#include <libwrapiter/libwrapiter_forward_iterator.hh>
#include <libwrapiter/libwrapiter_output_iterator.hh>
#include <functional>
@@ -45,7 +45,7 @@
using namespace paludis;
-#include <paludis/tasks/install_task-se.cc>
+#include <paludis/install_task-se.cc>
namespace paludis
{
diff --git a/paludis/tasks/install_task.hh b/paludis/install_task.hh
index d3486130f..10e3f336b 100644
--- a/paludis/tasks/install_task.hh
+++ b/paludis/install_task.hh
@@ -17,14 +17,14 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_INSTALL_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_INSTALL_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_INSTALL_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_INSTALL_TASK_HH 1
#include <paludis/util/instantiation_policy.hh>
#include <paludis/util/private_implementation_pattern.hh>
-#include <paludis/dep_list/dep_list.hh>
-#include <paludis/dep_list/exceptions.hh>
-#include <paludis/tasks/exceptions.hh>
+#include <paludis/dep_list.hh>
+#include <paludis/dep_list_exceptions.hh>
+#include <paludis/tasks_exceptions.hh>
#include <paludis/repository-fwd.hh>
#include <paludis/action-fwd.hh>
#include <paludis/package_database-fwd.hh>
@@ -34,7 +34,7 @@ namespace paludis
{
class Environment;
-#include <paludis/tasks/install_task-se.hh>
+#include <paludis/install_task-se.hh>
/**
* Task used to install one or more targets.
diff --git a/paludis/tasks/install_task.se b/paludis/install_task.se
index 06460f153..06460f153 100644
--- a/paludis/tasks/install_task.se
+++ b/paludis/install_task.se
diff --git a/paludis/digests/md5.cc b/paludis/md5.cc
index 4109ada0c..102bfa1bf 100644
--- a/paludis/digests/md5.cc
+++ b/paludis/md5.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/digests/md5.hh>
+#include <paludis/md5.hh>
#include <sstream>
#include <istream>
#include <iomanip>
diff --git a/paludis/digests/md5.hh b/paludis/md5.hh
index 0da3f4c03..5d94a2ed4 100644
--- a/paludis/digests/md5.hh
+++ b/paludis/md5.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_EBUILD_DIGESTS_MD5_HH
-#define PALUDIS_GUARD_EBUILD_DIGESTS_MD5_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_MD5_HH
+#define PALUDIS_GUARD_PALUDIS_MD5_HH 1
#include <iosfwd>
#include <string>
diff --git a/paludis/digests/md5_TEST.cc b/paludis/md5_TEST.cc
index a839963fa..8428c4c92 100644
--- a/paludis/digests/md5_TEST.cc
+++ b/paludis/md5_TEST.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/digests/md5.hh>
+#include <paludis/md5.hh>
#include <test/test_framework.hh>
#include <test/test_runner.hh>
diff --git a/paludis/merger/merger.cc b/paludis/merger.cc
index 30aee78ca..8bb56e407 100644
--- a/paludis/merger/merger.cc
+++ b/paludis/merger.cc
@@ -32,7 +32,7 @@
using namespace paludis;
-#include <paludis/merger/merger-sr.cc>
+#include <paludis/merger-sr.cc>
MergerError::MergerError(const std::string & s) throw () :
Exception(s)
diff --git a/paludis/merger/merger.hh b/paludis/merger.hh
index b581777e1..f9181936b 100644
--- a/paludis/merger/merger.hh
+++ b/paludis/merger.hh
@@ -23,7 +23,7 @@
#include <paludis/util/sr.hh>
#include <paludis/util/fs_entry.hh>
#include <paludis/util/exception.hh>
-#include <paludis/merger/entry_type.hh>
+#include <paludis/merger_entry_type.hh>
#include <iosfwd>
namespace paludis
@@ -31,7 +31,7 @@ namespace paludis
class Environment;
class Hook;
-#include <paludis/merger/merger-sr.hh>
+#include <paludis/merger-sr.hh>
/**
* Thrown if an error occurs during a Merger operation.
diff --git a/paludis/merger/merger.sr b/paludis/merger.sr
index f71d9345e..f71d9345e 100644
--- a/paludis/merger/merger.sr
+++ b/paludis/merger.sr
diff --git a/paludis/merger/Makefile.am b/paludis/merger/Makefile.am
deleted file mode 100644
index 903a28466..000000000
--- a/paludis/merger/Makefile.am
+++ /dev/null
@@ -1,92 +0,0 @@
-CLEANFILES = *~ gmon.out *.gcov *.gcno *.gcda
-
-DISTCLEANFILES = \
- merger-sr.hh merger-sr.cc entry_type-se.hh entry_type-se.cc \
- unmerger-sr.hh unmerger-sr.cc
-
-BUILT_SOURCES = $(DISTCLEANFILES)
-MAINTAINERCLEANFILES = Makefile.in
-
-AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
-DEFS= \
- -DSYSCONFDIR=\"$(sysconfdir)\" \
- -DLIBEXECDIR=\"$(libexecdir)\" \
- -DDATADIR=\"$(datadir)\" \
- -DLIBDIR=\"$(libdir)\"
-
-paludis_merger_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/merger
-paludis_merger_include_HEADERS = \
- entry_type.hh \
- merger.hh \
- merger-sr.hh \
- unmerger.hh \
- unmerger-sr.hh
-
-libpaludismerger_la_SOURCES = \
- entry_type.cc entry_type.hh \
- merger.cc merger.hh \
- unmerger.cc unmerger.hh
-
-libpaludismerger_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-libpaludismerger_la_LIBADD = \
- $(top_builddir)/paludis/util/libpaludisutil.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/selinux/libpaludisselinux.la
-
-lib_LTLIBRARIES = libpaludismerger.la
-
-EXTRA_DIST = \
- merger_TEST.cc merger_TEST_setup.sh merger_TEST_cleanup.sh \
- merger-sr.hh merger-sr.cc merger.sr \
- entry_type-se.hh entry_type-se.cc entry_type.se \
- unmerger-sr.hh unmerger-sr.cc unmerger.sr
-
-TESTS = \
- merger_TEST
-
-TESTS_ENVIRONMENT = env \
- PALUDIS_EBUILD_DIR="$(top_srcdir)/paludis/repositories/e/ebuild/" \
- PALUDIS_EAPIS_DIR="$(top_srcdir)/paludis/eapis/" \
- PALUDIS_DISTRIBUTIONS_DIR="$(top_srcdir)/paludis/distributions/" \
- PALUDIS_DISTRIBUTION="gentoo" \
- PALUDIS_SKIP_CONFIG="yes" \
- PALUDIS_REPOSITORY_SO_DIR="$(top_builddir)/paludis/repositories" \
- PALUDIS_HOOKER_DIR="$(top_srcdir)/paludis/" \
- PALUDIS_OUTPUTWRAPPER_DIR="`$(top_srcdir)/paludis/repositories/e/ebuild/utils/canonicalise $(top_builddir)/paludis/util/`" \
- TEST_SCRIPT_DIR="$(srcdir)/" \
- bash $(top_srcdir)/test/run_test.sh
-
-check_PROGRAMS = $(TESTS)
-check_SCRIPTS = merger_TEST_setup.sh merger_TEST_cleanup.sh
-
-merger_TEST_SOURCES = merger_TEST.cc
-merger_TEST_LDADD = \
- $(top_builddir)/paludis/environments/test/libpaludistestenvironment.la \
- $(top_builddir)/paludis/util/test_extras.o \
- $(top_builddir)/test/libtest.a \
- libpaludismerger.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-built-sources : $(BUILT_SOURCES)
- for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-
-merger-sr.hh : merger.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --header $(srcdir)/merger.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-merger-sr.cc : merger.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --source $(srcdir)/merger.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-unmerger-sr.hh : unmerger.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --header $(srcdir)/unmerger.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-unmerger-sr.cc : unmerger.sr $(top_srcdir)/misc/make_sr.bash
- if ! $(top_srcdir)/misc/make_sr.bash --source $(srcdir)/unmerger.sr > $@ ; then rm -f $@ ; exit 1 ; fi
-
-entry_type-se.hh : entry_type.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --header $(srcdir)/entry_type.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
-entry_type-se.cc : entry_type.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --source $(srcdir)/entry_type.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
diff --git a/paludis/merger/merger_TEST.cc b/paludis/merger_TEST.cc
index 3f8c2fcce..3f8c2fcce 100644
--- a/paludis/merger/merger_TEST.cc
+++ b/paludis/merger_TEST.cc
diff --git a/paludis/merger/merger_TEST_cleanup.sh b/paludis/merger_TEST_cleanup.sh
index 44df00e10..44df00e10 100755
--- a/paludis/merger/merger_TEST_cleanup.sh
+++ b/paludis/merger_TEST_cleanup.sh
diff --git a/paludis/merger/merger_TEST_setup.sh b/paludis/merger_TEST_setup.sh
index 9d9dd1858..9d9dd1858 100755
--- a/paludis/merger/merger_TEST_setup.sh
+++ b/paludis/merger_TEST_setup.sh
diff --git a/paludis/merger/entry_type.cc b/paludis/merger_entry_type.cc
index 49179de89..3496ebf2c 100644
--- a/paludis/merger/entry_type.cc
+++ b/paludis/merger_entry_type.cc
@@ -17,6 +17,6 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include "entry_type.hh"
+#include "merger_entry_type.hh"
-#include <paludis/merger/entry_type-se.cc>
+#include <paludis/merger_entry_type-se.cc>
diff --git a/paludis/merger/entry_type.hh b/paludis/merger_entry_type.hh
index 12be9aa84..affc4c40b 100644
--- a/paludis/merger/entry_type.hh
+++ b/paludis/merger_entry_type.hh
@@ -26,7 +26,7 @@
namespace paludis
{
-#include <paludis/merger/entry_type-se.hh>
+#include <paludis/merger_entry_type-se.hh>
}
#endif
diff --git a/paludis/merger/entry_type.se b/paludis/merger_entry_type.se
index 15e810856..15e810856 100644
--- a/paludis/merger/entry_type.se
+++ b/paludis/merger_entry_type.se
diff --git a/paludis/dep_list/override_functions.cc b/paludis/override_functions.cc
index 15ddae051..079f390c8 100644
--- a/paludis/dep_list/override_functions.cc
+++ b/paludis/override_functions.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/override_functions.hh>
+#include <paludis/override_functions.hh>
#include <paludis/util/visitor-impl.hh>
#include <paludis/util/set.hh>
#include <paludis/util/stringify.hh>
diff --git a/paludis/dep_list/override_functions.hh b/paludis/override_functions.hh
index a42df3b25..2d1daaa0b 100644
--- a/paludis/dep_list/override_functions.hh
+++ b/paludis/override_functions.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_OVERRIDE_FUNCTIONS_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_OVERRIDE_FUNCTIONS_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_OVERRIDE_FUNCTIONS_HH
+#define PALUDIS_GUARD_PALUDIS_OVERRIDE_FUNCTIONS_HH 1
#include <paludis/util/attributes.hh>
#include <paludis/environment-fwd.hh>
diff --git a/paludis/paludis.hh.m4 b/paludis/paludis.hh.m4
index 514819dd7..44d3f3157 100644
--- a/paludis/paludis.hh.m4
+++ b/paludis/paludis.hh.m4
@@ -41,7 +41,6 @@ addthis(`$1',`$5')addthis(`$1',`$6')')dnl
include(`paludis/files.m4')
#include <paludis/util/util.hh>
-#include <paludis/environments/environment_maker.hh>
#include <libwrapiter/libwrapiter.hh>
#endif
diff --git a/paludis/dep_list/query_visitor.cc b/paludis/query_visitor.cc
index f9cd65d0f..c279b11da 100644
--- a/paludis/dep_list/query_visitor.cc
+++ b/paludis/query_visitor.cc
@@ -17,9 +17,9 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/query_visitor.hh>
-#include <paludis/dep_list/dep_list.hh>
-#include <paludis/dep_list/range_rewriter.hh>
+#include <paludis/query_visitor.hh>
+#include <paludis/dep_list.hh>
+#include <paludis/range_rewriter.hh>
#include <paludis/package_database.hh>
#include <paludis/query.hh>
#include <paludis/util/tr1_functional.hh>
diff --git a/paludis/dep_list/query_visitor.hh b/paludis/query_visitor.hh
index 5fc0d00b5..5d30a71ae 100644
--- a/paludis/dep_list/query_visitor.hh
+++ b/paludis/query_visitor.hh
@@ -17,10 +17,10 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_QUERY_VISITOR_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_QUERY_VISITOR_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_QUERY_VISITOR_HH
+#define PALUDIS_GUARD_PALUDIS_QUERY_VISITOR_HH 1
-#include <paludis/dep_list/dep_list-fwd.hh>
+#include <paludis/dep_list-fwd.hh>
#include <paludis/util/private_implementation_pattern.hh>
#include <paludis/dep_spec-fwd.hh>
diff --git a/paludis/dep_list/range_rewriter.cc b/paludis/range_rewriter.cc
index 758597a7a..758597a7a 100644
--- a/paludis/dep_list/range_rewriter.cc
+++ b/paludis/range_rewriter.cc
diff --git a/paludis/dep_list/range_rewriter.hh b/paludis/range_rewriter.hh
index 6b6981d2b..ed7e6e9e0 100644
--- a/paludis/dep_list/range_rewriter.hh
+++ b/paludis/range_rewriter.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_RANGE_REWRITER_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_RANGE_REWRITER_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_RANGE_REWRITER_HH
+#define PALUDIS_GUARD_PALUDIS_RANGE_REWRITER_HH 1
#include <paludis/dep_tree.hh>
diff --git a/paludis/dep_list/range_rewriter_TEST.cc b/paludis/range_rewriter_TEST.cc
index 957d26982..aab43aa0b 100644
--- a/paludis/dep_list/range_rewriter_TEST.cc
+++ b/paludis/range_rewriter_TEST.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/range_rewriter.hh>
+#include <paludis/range_rewriter.hh>
#include <paludis/dep_spec.hh>
#include <paludis/util/visitor-impl.hh>
diff --git a/paludis/tasks/report_task.cc b/paludis/report_task.cc
index 08386f622..9923ef404 100644
--- a/paludis/tasks/report_task.cc
+++ b/paludis/report_task.cc
@@ -19,7 +19,7 @@
#include "report_task.hh"
#include <paludis/util/log.hh>
-#include <paludis/dep_list/uninstall_list.hh>
+#include <paludis/uninstall_list.hh>
#include <paludis/environment.hh>
#include <paludis/query.hh>
#include <paludis/metadata_key.hh>
diff --git a/paludis/tasks/report_task.hh b/paludis/report_task.hh
index 7129afa77..4597590d4 100644
--- a/paludis/tasks/report_task.hh
+++ b/paludis/report_task.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_REPORT_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_REPORT_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_REPORT_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_REPORT_TASK_HH 1
#include <paludis/util/instantiation_policy.hh>
#include <paludis/util/private_implementation_pattern.hh>
diff --git a/paludis/repositories/Makefile.am b/paludis/repositories/Makefile.am
index 8b7953fcc..20836690b 100644
--- a/paludis/repositories/Makefile.am
+++ b/paludis/repositories/Makefile.am
@@ -16,24 +16,6 @@ MAINTAINERCLEANFILES = Makefile.in
built-sources : $(BUILT_SOURCES)
for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-lib_LTLIBRARIES = libpaludisrepositories.la
-
-paludis_repositories_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/repositories/
-
-paludis_repositories_include_HEADERS = \
- repository_maker.hh
-
-libpaludisrepositories_la_SOURCES = \
- repository_maker.cc \
- $(paludis_repositories_include_HEADERS)
-
-libpaludisrepositories_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-libpaludisrepositories_la_LIBADD = \
- $(top_builddir)/paludis/util/libpaludisutil.la \
- $(top_builddir)/paludis/libpaludis.la \
- @DYNAMIC_LD_LIBS@
-
AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
DEFS= \
-DSYSCONFDIR=\"$(sysconfdir)\" \
diff --git a/paludis/repositories/cran/Makefile.am b/paludis/repositories/cran/Makefile.am
index bbf0a7b69..de57fc299 100644
--- a/paludis/repositories/cran/Makefile.am
+++ b/paludis/repositories/cran/Makefile.am
@@ -52,7 +52,6 @@ libpaludiscranrepository_la_SOURCES = \
$(paludis_repositories_cran_include_HEADERS)
libpaludiscranrepository_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/repositories/cran/cran_repository.cc b/paludis/repositories/cran/cran_repository.cc
index 54719c697..7d48fe364 100644
--- a/paludis/repositories/cran/cran_repository.cc
+++ b/paludis/repositories/cran/cran_repository.cc
@@ -26,7 +26,7 @@
#include <paludis/metadata_key.hh>
#include <paludis/repositories/cran/cran_package_id.hh>
#include <paludis/repositories/cran/cran_repository.hh>
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/repository_info.hh>
#include <paludis/util/dir_iterator.hh>
#include <paludis/util/set.hh>
diff --git a/paludis/repositories/cran/registration.cc b/paludis/repositories/cran/registration.cc
index 892f884c0..a4a085502 100644
--- a/paludis/repositories/cran/registration.cc
+++ b/paludis/repositories/cran/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/repositories/cran/cran_repository.hh>
#include <paludis/repositories/cran/cran_installed_repository.hh>
#include "config.h"
diff --git a/paludis/repositories/e/Makefile.am b/paludis/repositories/e/Makefile.am
index 19d6e420a..508f9dc8e 100644
--- a/paludis/repositories/e/Makefile.am
+++ b/paludis/repositories/e/Makefile.am
@@ -135,9 +135,6 @@ libpaludiserepository_la_SOURCES = \
$(paludis_repositories_e_include_HEADERS)
libpaludiserepository_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
- $(top_builddir)/paludis/merger/libpaludismerger.la \
- $(top_builddir)/paludis/digests/libpaludisdigests.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/repositories/e/check_fetched_files_visitor.cc b/paludis/repositories/e/check_fetched_files_visitor.cc
index 69df3b453..b0c0ea368 100644
--- a/paludis/repositories/e/check_fetched_files_visitor.cc
+++ b/paludis/repositories/e/check_fetched_files_visitor.cc
@@ -36,9 +36,9 @@
#include <paludis/util/save.hh>
#include <paludis/util/stringify.hh>
-#include <paludis/digests/rmd160.hh>
-#include <paludis/digests/sha256.hh>
-#include <paludis/digests/md5.hh>
+#include <paludis/rmd160.hh>
+#include <paludis/sha256.hh>
+#include <paludis/md5.hh>
#include <paludis/repositories/e/manifest2_reader.hh>
diff --git a/paludis/repositories/e/e_repository.cc b/paludis/repositories/e/e_repository.cc
index 9c2376d57..b4da94c56 100644
--- a/paludis/repositories/e/e_repository.cc
+++ b/paludis/repositories/e/e_repository.cc
@@ -71,8 +71,8 @@
#include <paludis/util/dir_iterator.hh>
#include <paludis/util/is_file_with_extension.hh>
-#include <paludis/digests/rmd160.hh>
-#include <paludis/digests/sha256.hh>
+#include <paludis/rmd160.hh>
+#include <paludis/sha256.hh>
#include <libwrapiter/libwrapiter_forward_iterator.hh>
#include <libwrapiter/libwrapiter_output_iterator.hh>
diff --git a/paludis/repositories/e/registration.cc b/paludis/repositories/e/registration.cc
index 22539f369..34a743d89 100644
--- a/paludis/repositories/e/registration.cc
+++ b/paludis/repositories/e/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/repositories/e/make_ebuild_repository.hh>
#include <paludis/repositories/e/make_ebin_repository.hh>
#include <paludis/repositories/e/vdb_repository.hh>
diff --git a/paludis/repositories/e/vdb_merger.cc b/paludis/repositories/e/vdb_merger.cc
index 20d14533c..e12980478 100644
--- a/paludis/repositories/e/vdb_merger.cc
+++ b/paludis/repositories/e/vdb_merger.cc
@@ -28,7 +28,7 @@
#include <paludis/util/strip.hh>
#include <paludis/hook.hh>
#include <paludis/package_id.hh>
-#include <paludis/digests/md5.hh>
+#include <paludis/md5.hh>
#include <paludis/environment.hh>
#include <paludis/package_database.hh>
#include <libwrapiter/libwrapiter_forward_iterator.hh>
diff --git a/paludis/repositories/e/vdb_merger.hh b/paludis/repositories/e/vdb_merger.hh
index ce55ab1c2..3824a1867 100644
--- a/paludis/repositories/e/vdb_merger.hh
+++ b/paludis/repositories/e/vdb_merger.hh
@@ -20,7 +20,7 @@
#ifndef PALUDIS_GUARD_PALUDIS_REPOSITORIES_GENTOO_VDB_MERGER_HH
#define PALUDIS_GUARD_PALUDIS_REPOSITORIES_GENTOO_VDB_MERGER_HH 1
-#include <paludis/merger/merger.hh>
+#include <paludis/merger.hh>
#include <paludis/package_id-fwd.hh>
#include <paludis/util/private_implementation_pattern.hh>
diff --git a/paludis/repositories/e/vdb_unmerger.cc b/paludis/repositories/e/vdb_unmerger.cc
index 89ff8d15c..6e526859f 100644
--- a/paludis/repositories/e/vdb_unmerger.cc
+++ b/paludis/repositories/e/vdb_unmerger.cc
@@ -23,7 +23,7 @@
using namespace paludis;
#include <paludis/util/destringify.hh>
-#include <paludis/digests/md5.hh>
+#include <paludis/md5.hh>
#include <paludis/environment.hh>
#include <paludis/hook.hh>
#include <paludis/package_database.hh>
diff --git a/paludis/repositories/e/vdb_unmerger.hh b/paludis/repositories/e/vdb_unmerger.hh
index 85e0b4f13..68f053ef7 100644
--- a/paludis/repositories/e/vdb_unmerger.hh
+++ b/paludis/repositories/e/vdb_unmerger.hh
@@ -25,7 +25,7 @@
#include <paludis/util/private_implementation_pattern.hh>
#include <paludis/util/sr.hh>
#include <paludis/util/fs_entry.hh>
-#include <paludis/merger/unmerger.hh>
+#include <paludis/unmerger.hh>
namespace paludis
{
diff --git a/paludis/repositories/gems/Makefile.am b/paludis/repositories/gems/Makefile.am
index 4a297f16a..a4265a616 100644
--- a/paludis/repositories/gems/Makefile.am
+++ b/paludis/repositories/gems/Makefile.am
@@ -39,7 +39,6 @@ libpaludisgemsrepository_la_SOURCES = \
$(paludis_repositories_gems_include_HEADERS)
libpaludisgemsrepository_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
-lsyck
diff --git a/paludis/repositories/gems/registration.cc b/paludis/repositories/gems/registration.cc
index 257a7e0d5..4ebee74e0 100644
--- a/paludis/repositories/gems/registration.cc
+++ b/paludis/repositories/gems/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/repositories/gems/gems_repository.hh>
#include <paludis/repositories/gems/installed_gems_repository.hh>
#include <paludis/repositories/gems/params.hh>
diff --git a/paludis/repositories/virtuals/Makefile.am b/paludis/repositories/virtuals/Makefile.am
index 3807b46fa..de31a249c 100644
--- a/paludis/repositories/virtuals/Makefile.am
+++ b/paludis/repositories/virtuals/Makefile.am
@@ -39,7 +39,6 @@ libpaludisvirtualsrepository_la_SOURCES = \
if ! MONOLITHIC
libpaludisvirtualsrepository_la_LIBADD = \
- $(top_builddir)/paludis/repositories/libpaludisrepositories.la \
$(top_builddir)/paludis/libpaludis.la \
$(top_builddir)/paludis/util/libpaludisutil.la \
$(DYNAMIC_LD_LIBS)
diff --git a/paludis/repositories/virtuals/registration.cc b/paludis/repositories/virtuals/registration.cc
index 67d0f0e79..e96487b4f 100644
--- a/paludis/repositories/virtuals/registration.cc
+++ b/paludis/repositories/virtuals/registration.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/repositories/repository_maker.hh>
+#include <paludis/repository_maker.hh>
#include <paludis/repositories/virtuals/installed_virtuals_repository.hh>
#include <paludis/repositories/virtuals/virtuals_repository.hh>
#include "config.h"
diff --git a/paludis/repositories/repository_maker.cc b/paludis/repository_maker.cc
index 8b9323c4e..8b9323c4e 100644
--- a/paludis/repositories/repository_maker.cc
+++ b/paludis/repository_maker.cc
diff --git a/paludis/repositories/repository_maker.hh b/paludis/repository_maker.hh
index a3a4de2b7..a3a4de2b7 100644
--- a/paludis/repositories/repository_maker.hh
+++ b/paludis/repository_maker.hh
diff --git a/paludis/digests/rmd160.cc b/paludis/rmd160.cc
index dde3e742a..dde3e742a 100644
--- a/paludis/digests/rmd160.cc
+++ b/paludis/rmd160.cc
diff --git a/paludis/digests/rmd160.hh b/paludis/rmd160.hh
index 1d6a7ed7a..eb304ce9e 100644
--- a/paludis/digests/rmd160.hh
+++ b/paludis/rmd160.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_EBUILD_DIGESTS_RMD160_HH
-#define PALUDIS_GUARD_EBUILD_DIGESTS_RMD160_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_RMD160_HH
+#define PALUDIS_GUARD_PALUDIS_RMD160_HH 1
#include <iosfwd>
#include <string>
diff --git a/paludis/digests/rmd160_TEST.cc b/paludis/rmd160_TEST.cc
index 5ae5bd915..cf615d905 100644
--- a/paludis/digests/rmd160_TEST.cc
+++ b/paludis/rmd160_TEST.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/digests/rmd160.hh>
+#include <paludis/rmd160.hh>
#include <test/test_framework.hh>
#include <test/test_runner.hh>
diff --git a/paludis/digests/sha256.cc b/paludis/sha256.cc
index e574921f6..e574921f6 100644
--- a/paludis/digests/sha256.cc
+++ b/paludis/sha256.cc
diff --git a/paludis/digests/sha256.hh b/paludis/sha256.hh
index f29fef884..baf89b1ca 100644
--- a/paludis/digests/sha256.hh
+++ b/paludis/sha256.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_EBUILD_DIGESTS_SHA256_HH
-#define PALUDIS_GUARD_EBUILD_DIGESTS_SHA256_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_SHA256_HH
+#define PALUDIS_GUARD_PALUDIS_SHA256_HH 1
#include <iosfwd>
#include <string>
diff --git a/paludis/digests/sha256_TEST.cc b/paludis/sha256_TEST.cc
index 542b1daad..24803d7c8 100644
--- a/paludis/digests/sha256_TEST.cc
+++ b/paludis/sha256_TEST.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/digests/sha256.hh>
+#include <paludis/sha256.hh>
#include <test/test_framework.hh>
#include <test/test_runner.hh>
diff --git a/paludis/dep_list/show_suggest_visitor.cc b/paludis/show_suggest_visitor.cc
index 9e76884c5..59f972457 100644
--- a/paludis/dep_list/show_suggest_visitor.cc
+++ b/paludis/show_suggest_visitor.cc
@@ -17,9 +17,9 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/show_suggest_visitor.hh>
-#include <paludis/dep_list/dep_list.hh>
-#include <paludis/dep_list/condition_tracker.hh>
+#include <paludis/show_suggest_visitor.hh>
+#include <paludis/dep_list.hh>
+#include <paludis/condition_tracker.hh>
#include <paludis/dep_spec.hh>
#include <paludis/package_id.hh>
#include <paludis/query.hh>
diff --git a/paludis/dep_list/show_suggest_visitor.hh b/paludis/show_suggest_visitor.hh
index e80985c41..3c730b24d 100644
--- a/paludis/dep_list/show_suggest_visitor.hh
+++ b/paludis/show_suggest_visitor.hh
@@ -17,11 +17,11 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_DEP_LIST_SHOW_SUGGEST_VISITOR_HH
-#define PALUDIS_GUARD_PALUDIS_DEP_LIST_SHOW_SUGGEST_VISITOR_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_SHOW_SUGGEST_VISITOR_HH
+#define PALUDIS_GUARD_PALUDIS_SHOW_SUGGEST_VISITOR_HH 1
#include <paludis/util/private_implementation_pattern.hh>
-#include <paludis/dep_list/dep_list-fwd.hh>
+#include <paludis/dep_list-fwd.hh>
#include <paludis/dep_spec-fwd.hh>
namespace paludis
diff --git a/paludis/tasks/stage_builder_task.cc b/paludis/stage_builder_task.cc
index 268eab5f6..c074d9610 100644
--- a/paludis/tasks/stage_builder_task.cc
+++ b/paludis/stage_builder_task.cc
@@ -42,7 +42,7 @@ namespace paludis
};
}
-#include <paludis/tasks/stage_options-sr.cc>
+#include <paludis/stage_options-sr.cc>
StageBuildError::StageBuildError(const std::string & m) throw () :
Exception(m)
diff --git a/paludis/tasks/stage_builder_task.hh b/paludis/stage_builder_task.hh
index 107d956fb..faedf7ec4 100644
--- a/paludis/tasks/stage_builder_task.hh
+++ b/paludis/stage_builder_task.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_STAGE_BUILDER_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_STAGE_BUILDER_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_STAGE_BUILDER_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_STAGE_BUILDER_TASK_HH 1
#include <libwrapiter/libwrapiter_forward_iterator-fwd.hh>
@@ -48,7 +48,7 @@ namespace paludis
StageBuildError(const std::string & message) throw ();
};
- #include <paludis/tasks/stage_options-sr.hh>
+ #include <paludis/stage_options-sr.hh>
/**
* Represents the base class for all stages which can be build by
diff --git a/paludis/tasks/stage_options.sr b/paludis/stage_options.sr
index e00bec15b..e00bec15b 100644
--- a/paludis/tasks/stage_options.sr
+++ b/paludis/stage_options.sr
diff --git a/paludis/tasks/sync_task.cc b/paludis/sync_task.cc
index a6b755cb0..a6b755cb0 100644
--- a/paludis/tasks/sync_task.cc
+++ b/paludis/sync_task.cc
diff --git a/paludis/tasks/sync_task.hh b/paludis/sync_task.hh
index 6e923f674..652c36018 100644
--- a/paludis/tasks/sync_task.hh
+++ b/paludis/sync_task.hh
@@ -17,12 +17,12 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_SYNC_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_SYNC_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_SYNC_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_SYNC_TASK_HH 1
#include <paludis/util/instantiation_policy.hh>
#include <paludis/util/private_implementation_pattern.hh>
-#include <paludis/dep_list/dep_list.hh>
+#include <paludis/dep_list.hh>
#include <libwrapiter/libwrapiter_forward_iterator-fwd.hh>
namespace paludis
diff --git a/paludis/tasks/Makefile.am b/paludis/tasks/Makefile.am
deleted file mode 100644
index d2c9bc56f..000000000
--- a/paludis/tasks/Makefile.am
+++ /dev/null
@@ -1,82 +0,0 @@
-CLEANFILES = *~ gmon.out *.gcov *.gcno *.gcda
-DISTCLEANFILES = \
- stage_options-sr.hh stage_options-sr.cc \
- install_task-se.hh install_task-se.cc
-MAINTAINERCLEANFILES = Makefile.in
-AM_CXXFLAGS = -I$(top_srcdir) @PALUDIS_CXXFLAGS@ @PALUDIS_CXXFLAGS_VISIBILITY@
-DEFS= \
- -DSYSCONFDIR=\"$(sysconfdir)\" \
- -DLIBEXECDIR=\"$(libexecdir)\" \
- -DDATADIR=\"$(datadir)\"
-SUBDIRS = .
-
-TESTS =
-
-TESTS_ENVIRONMENT = env \
- PALUDIS_EBUILD_DIR="$(top_srcdir)/ebuild/" \
- PALUDIS_SKIP_CONFIG="yes" \
- PALUDIS_DISTRIBUTION="gentoo" \
- TEST_SCRIPT_DIR="$(srcdir)/" \
- bash $(top_srcdir)/test/run_test.sh
-
-check_PROGRAMS = $(TESTS)
-check_SCRIPTS =
-
-lib_LTLIBRARIES = libpaludistasks.la
-paludis_tasks_includedir = $(includedir)/paludis-$(PALUDIS_PC_SLOT)/paludis/tasks
-paludis_tasks_include_HEADERS = \
- find_unused_packages_task.hh \
- install_task.hh \
- install_task-se.hh \
- uninstall_task.hh \
- sync_task.hh \
- stage_builder_task.hh \
- stage_options-sr.hh \
- report_task.hh \
- exceptions.hh
-
-libpaludistasks_la_SOURCES = $(paludis_tasks_include_HEADERS) \
- find_unused_packages_task.cc \
- install_task.cc \
- uninstall_task.cc \
- sync_task.cc \
- stage_builder_task.cc \
- report_task.cc \
- exceptions.cc
-
-libpaludistasks_la_LDFLAGS = -version-info @VERSION_LIB_CURRENT@:@VERSION_LIB_REVISION@:0
-
-libpaludistasks_la_LIBADD = \
- $(top_builddir)/paludis/dep_list/libpaludisdeplist.la \
- $(top_builddir)/paludis/libpaludis.la \
- $(top_builddir)/paludis/util/libpaludisutil.la
-
-BUILT_SOURCES = \
- stage_options-sr.hh \
- stage_options-sr.cc \
- install_task-se.hh \
- install_task-se.cc
-
-EXTRA_DIST = \
- stage_options.sr \
- stage_options-sr.hh \
- stage_options-sr.cc \
- install_task.se \
- install_task-se.hh \
- install_task-se.cc
-
-built-sources : $(BUILT_SOURCES)
- for s in `echo $(SUBDIRS) | tr -d .` ; do $(MAKE) -C $$s built-sources || exit 1 ; done
-
-stage_options-sr.hh : stage_options.sr $(top_srcdir)/misc/make_sr.bash
- $(top_srcdir)/misc/make_sr.bash --header $(srcdir)/stage_options.sr > $@
-
-stage_options-sr.cc : stage_options.sr $(top_srcdir)/misc/make_sr.bash
- $(top_srcdir)/misc/make_sr.bash --source $(srcdir)/stage_options.sr > $@
-
-install_task-se.hh : install_task.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --header $(srcdir)/install_task.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
-install_task-se.cc : install_task.se $(top_srcdir)/misc/make_se.bash
- if ! $(top_srcdir)/misc/make_se.bash --source $(srcdir)/install_task.se > $@ ; then rm -f $@ ; exit 1 ; fi
-
diff --git a/paludis/tasks/exceptions.cc b/paludis/tasks_exceptions.cc
index 6269be7b0..ed4514c14 100644
--- a/paludis/tasks/exceptions.cc
+++ b/paludis/tasks_exceptions.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include "exceptions.hh"
+#include "tasks_exceptions.hh"
using namespace paludis;
diff --git a/paludis/tasks/exceptions.hh b/paludis/tasks_exceptions.hh
index e277c04d0..e277c04d0 100644
--- a/paludis/tasks/exceptions.hh
+++ b/paludis/tasks_exceptions.hh
diff --git a/paludis/dep_list/uninstall_list.cc b/paludis/uninstall_list.cc
index 13faa14e8..442ea8a36 100644
--- a/paludis/dep_list/uninstall_list.cc
+++ b/paludis/uninstall_list.cc
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/uninstall_list.hh>
-#include <paludis/dep_list/condition_tracker.hh>
+#include <paludis/uninstall_list.hh>
+#include <paludis/condition_tracker.hh>
#include <paludis/environment.hh>
#include <paludis/util/join.hh>
#include <paludis/util/log.hh>
@@ -43,8 +43,8 @@
using namespace paludis;
-#include <paludis/dep_list/uninstall_list-se.cc>
-#include <paludis/dep_list/uninstall_list-sr.cc>
+#include <paludis/uninstall_list-se.cc>
+#include <paludis/uninstall_list-sr.cc>
typedef MakeHashedMap<tr1::shared_ptr<const PackageID>, tr1::shared_ptr<const DepListEntryTags> >::Type DepCollectorCache;
diff --git a/paludis/dep_list/uninstall_list.hh b/paludis/uninstall_list.hh
index 4cbb79e8e..09cd51705 100644
--- a/paludis/dep_list/uninstall_list.hh
+++ b/paludis/uninstall_list.hh
@@ -31,8 +31,8 @@
namespace paludis
{
-#include <paludis/dep_list/uninstall_list-se.hh>
-#include <paludis/dep_list/uninstall_list-sr.hh>
+#include <paludis/uninstall_list-se.hh>
+#include <paludis/uninstall_list-sr.hh>
class Environment;
diff --git a/paludis/dep_list/uninstall_list.se b/paludis/uninstall_list.se
index b201c6eef..b201c6eef 100644
--- a/paludis/dep_list/uninstall_list.se
+++ b/paludis/uninstall_list.se
diff --git a/paludis/dep_list/uninstall_list.sr b/paludis/uninstall_list.sr
index 1b20a8f4d..1b20a8f4d 100644
--- a/paludis/dep_list/uninstall_list.sr
+++ b/paludis/uninstall_list.sr
diff --git a/paludis/dep_list/uninstall_list_TEST.cc b/paludis/uninstall_list_TEST.cc
index f1da98e5c..9f58f9728 100644
--- a/paludis/dep_list/uninstall_list_TEST.cc
+++ b/paludis/uninstall_list_TEST.cc
@@ -17,7 +17,7 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#include <paludis/dep_list/uninstall_list.hh>
+#include <paludis/uninstall_list.hh>
#include <paludis/repositories/fake/fake_repository.hh>
#include <paludis/repositories/fake/fake_installed_repository.hh>
#include <paludis/repositories/fake/fake_package_id.hh>
diff --git a/paludis/tasks/uninstall_task.cc b/paludis/uninstall_task.cc
index 7a774abfc..d47877f53 100644
--- a/paludis/tasks/uninstall_task.cc
+++ b/paludis/uninstall_task.cc
@@ -20,9 +20,9 @@
#include "uninstall_task.hh"
#include <paludis/environment.hh>
#include <paludis/action.hh>
-#include <paludis/dep_list/uninstall_list.hh>
+#include <paludis/uninstall_list.hh>
#include <paludis/dep_spec_flattener.hh>
-#include <paludis/tasks/exceptions.hh>
+#include <paludis/tasks_exceptions.hh>
#include <paludis/util/visitor-impl.hh>
#include <paludis/util/private_implementation_pattern-impl.hh>
#include <paludis/util/stringify.hh>
diff --git a/paludis/tasks/uninstall_task.hh b/paludis/uninstall_task.hh
index 76d526f1d..75d39a176 100644
--- a/paludis/tasks/uninstall_task.hh
+++ b/paludis/uninstall_task.hh
@@ -17,8 +17,8 @@
* Place, Suite 330, Boston, MA 02111-1307 USA
*/
-#ifndef PALUDIS_GUARD_PALUDIS_TASKS_UNINSTALL_TASK_HH
-#define PALUDIS_GUARD_PALUDIS_TASKS_UNINSTALL_TASK_HH 1
+#ifndef PALUDIS_GUARD_PALUDIS_UNINSTALL_TASK_HH
+#define PALUDIS_GUARD_PALUDIS_UNINSTALL_TASK_HH 1
#include <paludis/dep_spec-fwd.hh>
#include <paludis/dep_tree.hh>
diff --git a/paludis/merger/unmerger.cc b/paludis/unmerger.cc
index ca1ea033c..a832c5efa 100644
--- a/paludis/merger/unmerger.cc
+++ b/paludis/unmerger.cc
@@ -30,7 +30,7 @@
using namespace paludis;
-#include <paludis/merger/unmerger-sr.cc>
+#include <paludis/unmerger-sr.cc>
namespace paludis
{
diff --git a/paludis/merger/unmerger.hh b/paludis/unmerger.hh
index 0079a2498..adae363c8 100644
--- a/paludis/merger/unmerger.hh
+++ b/paludis/unmerger.hh
@@ -25,14 +25,14 @@
#include <paludis/util/fs_entry.hh>
#include <paludis/util/sr.hh>
#include <paludis/util/private_implementation_pattern.hh>
-#include <paludis/merger/entry_type.hh>
+#include <paludis/merger_entry_type.hh>
namespace paludis
{
class Hook;
class Environment;
-#include <paludis/merger/unmerger-sr.hh>
+#include <paludis/unmerger-sr.hh>
/**
* Thrown if an error occurs during an unmerge.
diff --git a/paludis/merger/unmerger.sr b/paludis/unmerger.sr
index 9453dea1b..9453dea1b 100644
--- a/paludis/merger/unmerger.sr
+++ b/paludis/unmerger.sr